SDL_log10(3)

NAME
SDL_log10 - Compute the base-10 logarithm of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_log10(double x);

DESCRIPTION
Domain: 0<x<=INF Range: -INF<=y<=INF It is an error for x to be less than or equal to 0. This function operates on double-precision floating point values, use SDL_log10f
 for single-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value. Must be greater than 0.

RETURN VALUE
Returns the logarithm of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_log10f(3), SDL_log(3), SDL_pow(3)